cls
use output/dataset_1, clear
global t1 "1980q1"
global t2 "2019q4"


// https://www.statalist.org/forums/forum/general-stata-discussion/general/1417021-plotting-two-or-more-overlapping-density-curves-on-the-same-graph

keep if dum_o==1
keep if tin($t1,$t2)

gen MSI1 = MSI if DUMT_LC==1
replace MSI1 = MSI if DUMT_GL==1

ksmirnov MSI1, by(DUMT_LC)


quietly summarize MSI, detail
drop if MSI > r(p99)

sum MSI if DUMT_LC==1
sum MSI if DUMT_GL==1


cap drop where
cap drop x1
cap drop x0
cap drop d1
cap drop d0

gen where = (_n-1)/20 in 1/50

local choices kernel(biweight) bw(.075) at(where)

kdensity MSI if DUMT_LC == 1, `choices' gen(x1 d1) nodraw

kdensity MSI if DUMT_GL == 1, `choices' gen(x0 d0) nodraw


twoway area d1 d0 where, xtitle("Monetary Tightening Shocks (Percent)") color(blue%30 red%30) ///
legend(order(1 "Asynchronous" 2 "Synchronous") pos(1) ring(0) col(1)) ///
note("Distribution trimmed at the 99th percentile") ///
ytitle(Probability density) yla(, ang(h)) xla(0(0.5)2)	name(kd, replace) 


graph export output/kdensities.pdf, logo(off) mag(100) name(kd) replace

